--- comment_mover.module	2008-12-25 21:41:26.000000000 +0100
+++ comment_mover.module.linksunten	2009-01-17 05:50:12.000000000 +0100
@@ -97,6 +97,7 @@
           'title' => t('graft'),
           'href' => "comment/graft/{$object->nid}/{$object->cid}",
           'query' => drupal_get_destination(),
+          'fragment' => "comment-{$object->cid}",
         );
       }
     }
@@ -105,6 +106,7 @@
         'title' => t('prune'),
         'href' => "comment/prune/{$object->nid}/{$object->cid}",
         'query' => drupal_get_destination(),
+        'fragment' => "comment-{$object->cid}",
       );
     }
   }
@@ -447,7 +449,7 @@
 }
 
 /**
- * Buids a thread for comments
+ * Builds a thread for comments
  *
  * @TODO change for 4.7
  */
@@ -551,7 +553,7 @@
       $_SESSION['comment_mover']['nid'] = $comment->nid;
       $_SESSION['comment_mover']['pid'] = $comment->pid;
       drupal_set_message(t('Pruning %title.', array('%title' => $comment->subject)));
-      drupal_goto('node/'. $nid);
+      drupal_goto('node/'. $nid, NULL, 'comment-'. $cid);
     }
   }
   else if (is_numeric($nid)) {
@@ -579,10 +581,9 @@
   else {
     $form['target_cid'] = array('#type' => 'value', '#value' => 0);
   }
-  return confirm_form($form, t('Are you sure you want to move this post here?'), 'node/'. $node->nid);
+  return confirm_form($form, t('Are you sure you want to move this post here?'), array('path' => 'node/'. $node->nid, 'fragment' => 'comment-'. $cid));
 }
 
-
 /*
  * The grafting part, wrapper for comment_mover_move
  */
@@ -603,10 +604,10 @@
         drupal_set_message(t('Grafted %title.', array('%title' => $comment['subject'])));
         if ($new_cid) {
           comment_mover_unset();
-          $form_state['redirect'] = "node/{$target_node->nid}";
+          $form_state['redirect'] = array("node/{$target_node->nid}", NULL, "comment-{$target_cid}");
           return;
         }
-        $form_state['redirect'] = array('node/'. $target_node->nid, NULL, "comment-{$new_cid}");
+        $form_state['redirect'] = array("node/{$target_node->nid}", NULL, "comment-{$target_cid}");
         return;
       }
       else {
